Ok.

I've installed ncurses-ruby 1.2.4.
That worked. I had to create a gemspec file and create and install a gem 
(am i write in having to do that ?).
Also had to clear off ncurses gem for this to work.

Wondering how  to tackle ?\M-a (meta a).... perhaps will have to start a 
thread on that.
-- 
Posted via http://www.ruby-forum.com/.